Package com.independentsoft.office.odf

# Class HyperlinkEndIndexEntry

java.lang.Object
com.independentsoft.office.odf.HyperlinkEndIndexEntry

All Implemented Interfaces:
  `ITableOfContentsEntryTemplateContent`

public class HyperlinkEndIndexEntry extends Object implements ITableOfContentsEntryTemplateContent
Represents the end of a hyperlink index entry.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HyperlinkEndIndexEntry()`
  Initializes a new instance of the HyperlinkEndIndexEntry class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `HyperlinkEndIndexEntry`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `String`
  `getStyle()`
  Gets the character family styles.
  `void`
  `setStyle​(String style)`
  Sets the character family styles.
  `String`
  `toString()`
  Converts the value of the current HyperlinkEndIndexEntry object to its equivalent string representation.

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### HyperlinkEndIndexEntry

    public HyperlinkEndIndexEntry()
    Initializes a new instance of the HyperlinkEndIndexEntry class.

- ## Method Details

  - ### clone

    public HyperlinkEndIndexEntry clone()
    Creates a new object that is a deep copy of the current instance.
    Specified by:
      `clone` in interface `ITableOfContentsEntryTemplateContent`
    Overrides:
      `clone` in class `Object`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current HyperlinkEndIndexEntry object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getStyle

    public String getStyle()
    Gets the character family styles.
    Returns:
      the style

  - ### setStyle

    public void setStyle​(String style)
    Sets the character family styles.
    Parameters:
      `style` - the new style